Fonts can be embedded into a report as resources so it renders identically everywhere. This example adds a TrueType font to the report dictionary.

Registering the resource. Load or register the external resource before rendering so the finished report remains portable across environments.
var report = new Stimulsoft.Report.StiReport();

var fontFileContent = Stimulsoft.System.IO.File.getFile("../reports/Roboto-Black.ttf", true);
var resource = new Stimulsoft.Report.Dictionary.StiResource(
    "Roboto-Black", "Roboto-Black", false,
    Stimulsoft.Report.Dictionary.StiResourceType.FontTtf, fontFileContent);
report.dictionary.resources.add(resource);

var dataText = new Stimulsoft.Report.Components.StiText();
dataText.font = new Stimulsoft.System.Drawing.Font("Roboto-Black");
report.pages.getByIndex(0).components.add(dataText);
The font file is read and added as a StiResource of type FontTtf. Once in the dictionary it travels with the report, so text using that font renders and exports correctly even where the font is not installed.

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.

Adding a Font to the Resource
Our sample projects and report templates can help you learn the basics of working with our products.A custom font can be embedded into the report as a resource, so it travels with the template.
Registering the resource. Load or register the external resource before rendering so the finished report remains portable across environments.
Registering the resource. Load or register the external resource before rendering so the finished report remains portable across environments.
<script setup lang="ts">
import { Designer, Stimulsoft } from 'stimulsoft-reports-js-vuejs/designer';
var report = new Stimulsoft.Report.StiReport();
report.loadFile("Reports/CusomFontSimpleList.mrt");
var fileContent = Stimulsoft.System.IO.File.getFile("Fonts/LongCang-Regular.ttf", true);
var resource = new Stimulsoft.Report.Dictionary.StiResource("LongCang", "LongCang", false, Stimulsoft.Report.Dictionary.StiResourceType.FontTtf, fileContent);
report.dictionary.resources.add(resource);
var designerOptions = new Stimulsoft.Designer.StiDesignerOptions();
designerOptions.appearance.fullScreenMode = true;
</script>
<template>
<Designer :report="report" :options="designerOptions" />
</template>The font file is read with File.getFile, wrapped in a StiResource of type FontTtf and added to dictionary.resources. The font is then available inside the designer and in every export.